#
# spec file for package yast2-config-nis (Version 2.4.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc

Name:         yast2-config-nis
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Requires:	yast2 yast2-trans-nis yast2-lib-wizard yast2-lib-sequencer yast2-lib-network
Requires:	yast2-config-package-manager
Requires:       yast2-config-runlevel >= 2.4.12
Provides:	yast2-config-network:/usr/lib/YaST2/clients/lan_ypclient.ycp
BuildArchitectures:	noarch
Summary:      YaST2 - Configuration of Network Information Services (NIS,YP)
Version:      2.4.10
Release:      30
Source0:	yast2-config-nis-2.4.10.tar.bz2

%description
The YaST2 component for configuration of NIS.
NIS is similar service to yellow pages.

Authors:
--------
    Dan Vesely <dan@suse.cz> 
    

SuSE series: yast

%package devel
Summary:      YaST2 - Configuration of Network Information Services (NIS,YP), developer documentation
Version:      2.4.10
Release:      30
Group:		System Environment/YaST

%description devel
Documentation for developers who want to understand or modify
the sources of the Network Information Services configuration module.

Authors:
--------
    Dan Vesely <dan@suse.cz> 
    

SuSE series: yast

%prep
%setup -n yast2-config-nis-2.4.10

%build
./configure
make

%install
make install
make check

%files
# %dir /usr/lib/YaST2/include/nis
# /usr/lib/YaST2/include/nis/*
/usr/lib/YaST2/clients/nis.ycp
/usr/lib/YaST2/clients/nis_write.ycp
/usr/lib/YaST2/menuentries/menuentry_nis.ycp

%files devel
%doc /usr/share/doc/packages/yast2-config-nis

%changelog -n yast2-config-nis
* Fri Sep 14 2001 - mvidner@suse.cz
- Delay when restarting ypbind (bug #10428). (2.4.10)
* Thu Sep 13 2001 - mvidner@suse.cz
- Improved ncurses layout. (2.4.9)
* Fri Sep 07 2001 - mvidner@suse.cz
- Use the runlevel editor for dealing with START_* variables (2.4.8)
* Mon Sep 03 2001 - mvidner@suse.cz
- Use yast2-config-runlevel.
- Start portmap only if not running already (Bug #9999).
- 2.4.7
* Thu Aug 23 2001 - mvidner@suse.cz
- Added documentation in a devel subpackage (2.4.6)
* Tue Aug 21 2001 - mvidner@suse.cz
- Only one <p> per string. (2.4.5)
* Tue Aug 07 2001 - mvidner@suse.cz
- Warn about the necessity of reboot when changing the domain.
- Changed from RPM Requires to require.ycp.
- Documented the possibility to enter multiple NIS servers. (#9559)
- version 2.4.4
* Mon Jul 30 2001 - mvidner@suse.cz
- Turned off autoheader.
- Replaced _("&OK") by OKButtonLabel() etc.
- version 2.4.3
* Mon Jul 23 2001 - mvidner@suse.cz
- Requires ypbind.
- version 2.4.2
* Thu Jul 19 2001 - msvec@suse.cz
- correct provides
- minor function name fix
- fixed textdomain
- version 2.4.1
* Wed Jul 18 2001 - msvec@suse.cz
- split of the yast2-config-network
- version 2.4.0
